using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Web;

namespace RMYY_CallCenter_Api.Models.Enum
{
    /// <summary>
    /// 工单状态枚举
    /// </summary>
    public enum EnumWorkOrderState
    {
        [Description("全部")]
        all = -1,
        [Description("新工单待指派")]
        neworder,
        [Description("已指派待接单")]
        assign,
        [Description("已接单待处理")]
        receive,
        [Description("已退回待处理")]
        reback,
        //[Description("异常退回待接单")]
        //abreback,
        [Description("处理中")]
        dealing,
        //[Description("已处理")]
        //end,
       [Description("已处理待回访")]
        dealed=7,
        //[Description("已回访待完结")]
        //visit,
        [Description("已完结")]
        finish=10,
        //[Description("已评价")]
        //evaluate,
        //[Description("已退回待指派")]
        //reassign,
        //[Description("导入工单")]
        //usedimport,
        //[Description("微信客户")]
        //customers,
        //[Description("微信未通过")]
        //recustomers,
        [Description("待审核")]
        audit,
    }
    /// <summary>
    /// 工单记录类型枚举
    /// </summary>
    public enum EnumItemType
    {
        [Description("办理")]
        deal = 1,
        [Description("催办")]
        urge = 2,
        [Description("评价")]
        evaluate = 3,
        [Description("修改")]
        update = 4,
        [Description("删除")]
        delete = 5,
        [Description("回访")]
        visit = 6,
        [Description("审批")]
        audit = 7,
        [Description("延期")]
         Delay = 8,
    }
    /// <summary>
    /// 工单记录操作
    /// </summary>
    public enum EnumItemOpt
    {
        [Description("添加")]
        create,
        [Description("指派")]
        assign,
        [Description("接单")]
        receive,
        [Description("处理")]
        deal,
        [Description("退回")]
        reback,
        [Description("异常退回")]
        abreback,
        [Description("催办")]
        urge,
        [Description("处理完结")]
        end,
        [Description("评价")]
        evaluate,
        [Description("修改")]
        update,
        [Description("删除")]
        delete,
        [Description("待审核")]
        audit,
        [Description("已审核")]
        reaudit,
        [Description("回访")]
        visit,
        [Description("延期")]
        Delay

    }


    /// <summary>
    /// 工单类型枚举
    /// </summary>
    public enum EnumWorkOrder
    {
        [Description("健康咨询")]
        consultation = 1001,
        [Description("投诉建议")]
        complaint = 1002,
        [Description("外聘专家咨询")]
        externalcons = 1003,
        [Description("家庭预约上门")]
        appointment = 1004,
        [Description("静脉置管维护")]
        maintain = 1005,      
        [Description("设备租赁")]
        Dev=2001,
        [Description("物资转移")]
        Mat=2002,
        [Description("病床转移")]
        Hos=2003,
        [Description("红处方配送")]
        RedDis=2004,
        [Description("其他配送")]
        OrtherDis=2005,
        [Description("急标本配送")]
        UrgDis=2006,
        [Description("血液制品配送")]
        BloodDis= 2007,
        [Description("陪检服务")]
        Serve=2008,
        [Description("血站取血")]
        TakeBlood=2009
    }
    public enum EnumCarWorkOrder
    {
        [Description("待分配")]
        neworder = 0,
        [Description("待接单")]
        assign = 1,
        [Description("已接单")]
        receive = 2,
        [Description("处理中")]
        dealing = 4,
        [Description("已完成")]
        end = 10,
    }


}